Subject: RE: [Simple] Mistake in PRES-URI BNF

From: "Ofra Wachsman" <[email-masked]>
Date: Wed, 23 Mar 2005 16:34:56 +0200

Hi
There are many problems with the mailbox definition, even if we treat it
only as an addr-spec and not as a display name

For example -
Rfc 3859 defines the pres-uri this way:
PRES-URI         = "pres:" [ to ] [ headers ]
  to             =  mailbox

--> The separator between mailbox and headers is '?'

But in rfc 2822 the mailbox addr-spec definition allows to use a '?' in
the domain part:

addr-spec       =       local-part "@" domain
domain          =       dot-atom / domain-literal / obs-domain
dot-atom        =       [CFWS] dot-atom-text [CFWS]

dot-atom-text   =       1*atext *("." 1*atext)
atext           =       ALPHA / DIGIT / ; Any character except controls,
                        "!" / "#" /     ;  SP, and specials.
                        "$" / "%" /     ;  Used for atoms
                        "&" / "'" /
                        "*" / "+" /
                        "-" / "/" /
                        "=" / "?" /
                        "^" / "_" /
                        "`" / "{" /
                        "|" / "}" /
                        "~"

I want to suggest that the pres-uri and im-uri definitions will be the
same as sip-uri in rfc 3261:

SIP-URI  = "sip:" [ userinfo ] hostport uri-parameters [ headers ]
PRES-URI = "pres:" [ userinfo ] hostport uri-parameters [ headers ]
IM-URI   = "im:" [ userinfo ] hostport uri-parameters [ headers ]

What do you think?
Ofra Wachsman

From: Robert Sparks [mailto:[email-masked]]
Sent: Wednesday, December 01, 2004 6:26 PM
To: Tamar Barzuza
Cc: [email-masked]
Subject: Re: [Simple] Mistake in PRES-URI BNF

Tamar -

I don't think that production was what anybody had in mind.
The intent was probably to = addr-spec.

We can put together a correction and figure out how to submit it.

Comments from anyone?

RjS

On Nov 29, 2004, at 5:51 AM, Tamar Barzuza wrote:

>> Hi,
>>
>> I found a problem in the BNF of PRES-URI.
>>
>> RFC 2396 defined the generic syntax of URI. It explicitly says that 
>> the following (delims) characters are disallowed within URI:
>> delims= "<" | ">" | "#" | "%" | <">
>>
>> However, in RFCs 3859 and 2822 the definition for PRES-URI is:
>> 	PRES URI = "pres:" [ to ] [ headers ]
>> 	to = mailbox
>> 	mailbox = name-addr / addr-spec
>> 	name-addr = [display-name] angle-addr
>> 	angle-addr = [CFWS] "<" addr-spec ">" [CFWS] / obs-angle-addr
>> 	addr-spec = local-part "@" domain
>> 	display-name = phrase
>> Which means that pres addresses can look like pres:"name"<user@host>,

>> hence may contain " and <>.
>>
>> Therefore I believe that the PRES-URI BNF is mistaken.
>>
>> Thanks,
>> Tamar.
>>
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple